org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTTypeTransformationSpecifier

All Superinterfaces:
  IASTAttributeOwner, IASTDeclSpecifier, IASTNode, ICPPASTDeclSpecifier

    public interface ICPPASTTypeTransformationSpecifier
    extends ICPPASTDeclSpecifier

A decl-specifier that represents the application of an intrinsic type transformation operator like __underlying_type(T). Intrinsic operators of this form take a type as input, and evaluate to a type.

Since:
  5.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

Fields
`static ASTNodeProperty` `OPERAND` `OPERAND` represents the relationship between an `ICPPASTTypeTransformationSpecifier` and its nested `IASTTypeId`.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`ALIGNMENT_SPECIFIER, sc_auto, sc_extern, sc_mutable, sc_register, sc_static, sc_typedef, sc_unspecified`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPASTTypeId` `getOperand()` Returns the type-id to which the type transformation operator is being applied.
`ICPPUnaryTypeTransformation.Operator` `getOperator()` Returns the type transformation operator being applied.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDeclSpecifier

`copy, copy, isConstexpr, isExplicit, isFriend, isThreadLocal, isVirtual, setConstexpr, setExplicit, setFriend, setThreadLocal, setVirtual`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`getAlignmentSpecifiers, getStorageClass, isConst, isInline, isRestrict, isVolatile, setAlignmentSpecifiers, setConst, setInline, setRestrict, setStorageClass, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Field Detail

#### OPERAND

    static final ASTNodeProperty OPERAND

`OPERAND` represents the relationship between an `ICPPASTTypeTransformationSpecifier` and its nested `IASTTypeId`.

### Method Detail

#### getOperator

    ICPPUnaryTypeTransformation.Operator getOperator()

Returns the type transformation operator being applied.

#### getOperand

    ICPPASTTypeId getOperand()

Returns the type-id to which the type transformation operator is being applied.